> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all sites

> Get a list of all sites. For more information on `paramsIO` refer to the [Get started article](../../developer-docs/apis/automation-api-rest/get-started/get-started), and see the [Using paramsIO tutorial](../../developer-docs/apis/automation-api-rest/tutorials/paramsio-use-cases) for practical use cases. To use optionalFields check out [this guide](../../developer-docs/apis/automation-api-rest/tutorials/using-optional-fields-in-queries).



## OpenAPI

````yaml /automation.api.json get /sites
openapi: 3.0.3
info:
  title: OpenAPI definition for automation api
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account.You can retrieve it to
      view its properties, such as its current e-mail address or locale.With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> Not all settings are exposed via
      the API. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag is used to  help our clients implement new features, test and
      deploy them viaour SDK. This service allows you to create and configure
      the feature flag which will be used in the source code of your feature.
    name: FeatureFlag
  - description: >
      You can use your account to set up multiple websites.This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment,It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that is already available,such as user account
      information.
    name: CustomData
  - description: >-
      Experiment is an A/B test which can be targeted to a specific audience or
      any other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can be used to achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      be linked to one or several goals. All goals can be managed through
      Kameleoon interface or Automation API. There are variety of different
      goals you can choose from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that `KeyMoment`
      has now been renamed to `Triggers`.
    name: KeyMoment
  - description: >-
      KeyPage allows you to target visitors that have visited a particular page,
      or multiple pages on your website.
    name: KeyPage
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: ProjectThemeConfig
  - description: This is an object representing recommender block
    name: RecommenderBlock
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors.You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: StudioRecommenderBlock
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: TakeawayComment
  - description: >-
      TargetingRule is a system entity that combines segments (user groups) and
      triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: TargetingRule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that can be edited for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started.All changes will be saved in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: WidgetStudio
  - description: This is an object representing widget studio template
    name: WidgetStudioTemplate
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Gaining
      insights into your website's audience is essential for effectively
      adjusting segments.
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      Personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
  - name: GoalCampaign
    description: >-
      Retrieve experiments that use a specific goal, optionally filtered by
      whether that goal had a positive, negative, or neutral impact on the
      experiment. Results are paginated using cursor-based pagination.
  - name: Data API Requests
    description: Traffic statistics for requests sent to the Kameleoon Data API.
paths:
  /sites:
    get:
      tags:
        - Site
      summary: Get all sites
      description: >-
        Get a list of all sites. For more information on `paramsIO` refer to the
        [Get started
        article](../../developer-docs/apis/automation-api-rest/get-started/get-started),
        and see the [Using paramsIO
        tutorial](../../developer-docs/apis/automation-api-rest/tutorials/paramsio-use-cases)
        for practical use cases. To use optionalFields check out [this
        guide](../../developer-docs/apis/automation-api-rest/tutorials/using-optional-fields-in-queries).
      operationId: get-all-sites
      parameters:
        - in: query
          name: paramsIO
          required: true
          schema:
            $ref: '#/components/schemas/RequestParams'
        - in: query
          name: optionalFields
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
      responses:
        '200':
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Site'
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseObject'
          description: Bad Request
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseObject'
          description: Forbidden
        '423':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseObject'
          description: Locked
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseObject'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    RequestParams:
      type: object
      properties:
        filter:
          oneOf:
            - $ref: '#/components/schemas/FilteringCondition'
            - $ref: '#/components/schemas/FilteringLogic'
        page:
          type: integer
          description: Page number
          format: int32
        perPage:
          type: integer
          description: Number of items per page
          format: int32
        sort:
          type: array
          description: Sorting parameters
          items:
            $ref: '#/components/schemas/SortingParameter'
      title: Request params
    Site:
      required:
        - url
      type: object
      properties:
        abtestConsent:
          type: string
          enum:
            - 'OFF'
            - REQUIRED
            - IABTCF
        applicationFileUrl:
          type: string
          description: >-
            URL for self-hosted kameleoon.js file. If not specified kameleoon.js
            will be loaded by default url - SITE_CODE.kameleoon.eu/kameleoon.js
        audienceConfig:
          $ref: '#/components/schemas/AudienceConfig'
        behaviorWhenTimeout:
          type: string
          description: >-
            Behavior if timeout occurs. You can redefine the behavior of
            Kameleoon Application when the script exceeds the usual loading
            time. By default, the application will eventually launch, but with a
            flicker effect.
          enum:
            - RUN
            - DISABLE_FOR_PAGE
            - DISABLE_FOR_VISIT
        captureEventMethod:
          type: string
          enum:
            - CLICK
            - MOUSEDOWN
            - MOUSEUP
        code:
          type: string
          description: System generated code to uniquely identify a website.
          readOnly: true
        currency:
          type: string
          enum:
            - USD
            - EUR
            - JPY
            - GBP
            - CNY
            - AUD
            - CAD
            - CHF
            - HKD
            - SGD
            - SEK
            - KRW
            - NOK
            - NZD
            - INR
            - MXN
            - TWD
            - ZAR
            - BRL
            - DKK
            - PLN
            - THB
            - ILS
            - IDR
            - CZK
            - AED
            - TRY
            - HUF
            - CLP
            - SAR
            - PHP
            - MYR
            - COP
            - RUB
            - RON
            - PEN
            - BHD
            - BGN
            - ARS
            - KWD
        customAttributes:
          type: string
        customSelectors:
          type: array
          items:
            type: string
        dataStorage:
          type: string
          description: >-
            This option allows you to choose the source where you can store the
            data of your A/B tests on the the visitor's device.
          enum:
            - STANDARD_COOKIE
            - LOCAL_STORAGE
            - CUSTOM_COOKIE
        dateCreated:
          type: string
          description: Date when the site was created.
          format: date-time
          readOnly: true
        description:
          type: string
          description: Website description.
        domainNames:
          type: array
          items:
            type: string
        experimentConfig:
          $ref: '#/components/schemas/ExperimentConfig'
        id:
          type: integer
          description: Unique Id of the website.
          format: int64
          readOnly: true
        imagesUrl:
          type: string
          description: >-
            URL for self-hosted images. If not specified images will be loaded
            by default url - SITE_CODE.kameleoon.eu/images/
        indicators:
          type: array
          description: >-
            List of indicators such as: Retention rate, number of pages seen and
            dwell time.
          items:
            type: string
            enum:
              - RETENTION_RATE
              - NUMBER_OF_PAGES_SEEN
              - DWELL_TIME
        isAudienceUsed:
          type: boolean
          description: Indicates if audience feature is enabled and used for the website.
        isKameleoonEnabled:
          type: boolean
          description: Indicates if Kameleoon application is enbabled for the website.
        isScriptActive:
          type: boolean
          description: >-
            Indicates if the script has been installed successfully and is
            active on the website.
        kameleoonDomain:
          type: string
        lastScriptRebuildDate:
          type: string
          description: Date last rebuild Script.
          format: date-time
        lastScriptRebuildStatus:
          type: string
          description: Status last rebuild Script.
          enum:
            - SUCCESS
            - FAILURE
        name:
          maxLength: 30
          minLength: 0
          type: string
          description: Name of the website.
        personalizationConfig:
          $ref: '#/components/schemas/PersonalizationConfig'
        realTimeConfigUpdate:
          type: boolean
          description: Can SDK receive the configuration in real-time.
        recommendationSecretKey:
          type: string
          description: Product recommendation secret key.
        recommendationStoreKey:
          type: string
          description: Product recommendation store key.
        responsiveMobile:
          type: boolean
        shadowDom:
          type: boolean
          description: ShadowDOM option.
        trackingScript:
          type: string
          description: >-
            Global custom script is any JavaScript code that you add which will
            be executed at each page load. This custom script will be executed
            right after the loading of Kameleoon application. For instance, you
            can add complex tracking code or integration to some third party
            solutions in this section.
        type:
          type: string
          description: Project type.
          enum:
            - SITE
            - SITE_JS
            - SITE_SDK
            - APPLICATION
        url:
          type: string
          description: URL of the website.
        wideDomain:
          type: string
          description: Deprecated, use kameleoonDomain instead
          deprecated: true
        widgetFonts:
          type: array
          description: Widget fonts for site.
          items:
            $ref: '#/components/schemas/WidgetFont'
      title: Site
    ResponseObject:
      type: object
      properties:
        code:
          type: string
        impersonator:
          type: string
        message:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
        sub:
          type: string
        time:
          type: integer
          format: int64
        timestamp:
          type: string
          format: date-time
      title: Response object
    FilteringCondition:
      type: object
      allOf:
        - $ref: '#/components/schemas/FilteringExpression'
        - type: object
          properties:
            field:
              type: string
            operator:
              type: string
              enum:
                - EQUAL
                - NOT_EQUAL
                - LESS
                - GREATER
                - LESS_OR_EQUAL
                - GREATER_OR_EQUAL
                - LIKE
                - NOT_LIKE
                - BETWEEN
                - IN
                - NOT_IN
                - NOT
                - IS_NULL
                - IS_NOT_NULL
                - IS_TRUE
                - IS_FALSE
                - IS_EMPTY
                - IS_NOT_EMPTY
                - CONTAINS
            parameters:
              type: array
              items:
                type: object
      title: Filtering condition
    FilteringLogic:
      type: object
      allOf:
        - $ref: '#/components/schemas/FilteringExpression'
        - type: object
          properties:
            conditionalOperator:
              type: string
              enum:
                - AND
                - OR
            expressions:
              uniqueItems: true
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/FilteringCondition'
                  - $ref: '#/components/schemas/FilteringLogic'
      title: Filtering logic
    SortingParameter:
      type: object
      properties:
        direction:
          type: string
          description: Sorting direction
          enum:
            - ASC
            - DESC
        field:
          type: string
          description: Sorting field name
      description: Sorting parameters
      title: Sorting parameter
    AudienceConfig:
      required:
        - mainGoal
      type: object
      properties:
        cartAmountGoal:
          type: integer
          description: Goal to which the value of a customer's basket is linked
          format: int64
        cartAmountValue:
          type: integer
          description: Conversion value linked to the primary goal
          format: int64
        dateCreated:
          type: string
          description: Audience configuration creation date
          format: date-time
        excludedConfigurationUrlList:
          type: array
          description: URLS to be excluded from your recommendations
          items:
            $ref: '#/components/schemas/AudienceConfigUrl'
        excludedCustomData:
          type: array
          description: Personalized data to be excluded from your recommendations
          items:
            type: integer
            format: int64
        excludedExperimentList:
          type: array
          description: A/B tests to be excluded from your recommendations
          items:
            type: integer
            format: int64
        excludedGoalList:
          type: array
          description: Goals to be excluded from your recommendations
          items:
            type: integer
            format: int64
        excludedPersonalizationList:
          type: array
          description: Personalizations to be excluded from your recommendations
          items:
            type: integer
            format: int64
        excludedTargetingSegmentList:
          type: array
          description: Segments to be excluded from your recommendations
          items:
            type: integer
            format: int64
        excludedTargetingTypeList:
          type: array
          description: Targeting criteria to be excluded from your recommendations
          items:
            type: string
            enum:
              - PAGE_URL
              - PAGE_TITLE
              - LANDING_PAGE
              - ORIGIN
              - ORIGIN_TYPE
              - REFERRERS
              - NEW_VISITORS
              - BROWSER_LANGUAGE
              - GEOLOCATION
              - DEVICE_TYPE
              - SCREEN_DIMENSION
              - VISITOR_IP
              - AD_BLOCKER
              - PREVIOUS_PAGE
              - KEY_PAGES
              - PAGE_VIEWS
              - FIRST_VISIT
              - LAST_VISIT
              - ACTIVE_SESSION
              - TIME_SINCE_PAGE_LOAD
              - SAME_DAY_VISITS
              - VISITS
              - VISITS_BY_PAGE
              - INTERNAL_SEARCH_KEYWORDS
              - TABS_ON_SITE
              - HEAT_SLICE
              - SKY_STATUS
              - TEMPERATURE
              - DAY_NIGHT
              - FORECAST_SKY_STATUS
              - FORECAST_TEMPERATURE
              - DAY_OF_WEEK
              - TIME_RANGE
              - HOUR_MINUTE_RANGE
              - JS_CODE
              - COOKIE
              - EVENT
              - EXPLICIT_TRIGGER
              - BROWSER
              - OPERATING_SYSTEM
              - DOM_ELEMENT
              - MOUSE_OUT
              - TARGET_EXPERIMENT
              - TARGET_PERSONALIZATION
              - EXCLUSIVE_EXPERIMENT
              - CONVERSIONS
              - CUSTOM_DATUM
              - YSANCE_SEGMENT
              - YSANCE_ATTRIBUT
              - TEALIUM_BADGE
              - TEALIUM_AUDIENCE
              - PRICE_OF_DISPLAYED_PAGE
              - NUMBER_OF_VISITED_PAGES
              - VISITED_PAGES
              - SEGMENT
              - KEY_MOMENT
              - CUSTOM
              - SDK_LANGUAGE
              - VISITOR_CODE
              - TARGET_FEATURE_FLAG
              - APPLICATION_VERSION
        id:
          type: integer
          description: Unique Id of the audience configuration
          format: int64
          readOnly: true
        ignoreURLSettings:
          type: boolean
          description: Ignore the settings in the URL of your pages
        includedConfigurationUrlList:
          type: array
          description: Primary URLs you want to optimize
          items:
            $ref: '#/components/schemas/AudienceConfigUrl'
        includedCustomData:
          type: array
          description: Personalized data to be prioritized in your recommendations
          items:
            type: integer
            format: int64
        includedExperimentList:
          type: array
          description: A/B tests to be prioritized in your recommendations
          items:
            type: integer
            format: int64
        includedPersonalizationList:
          type: array
          description: Personalizations to be prioritized in your recommendations
          items:
            type: integer
            format: int64
        includedTargetingSegmentList:
          type: array
          description: >-
            Additional segments to track. Predictive segments are tracked by
            default
          items:
            type: integer
            format: int64
        includedTargetingTypeList:
          type: array
          description: The 3 targeting criteria to be prioritized in your recommendations
          items:
            type: string
            enum:
              - PAGE_URL
              - PAGE_TITLE
              - LANDING_PAGE
              - ORIGIN
              - ORIGIN_TYPE
              - REFERRERS
              - NEW_VISITORS
              - BROWSER_LANGUAGE
              - GEOLOCATION
              - DEVICE_TYPE
              - SCREEN_DIMENSION
              - VISITOR_IP
              - AD_BLOCKER
              - PREVIOUS_PAGE
              - KEY_PAGES
              - PAGE_VIEWS
              - FIRST_VISIT
              - LAST_VISIT
              - ACTIVE_SESSION
              - TIME_SINCE_PAGE_LOAD
              - SAME_DAY_VISITS
              - VISITS
              - VISITS_BY_PAGE
              - INTERNAL_SEARCH_KEYWORDS
              - TABS_ON_SITE
              - HEAT_SLICE
              - SKY_STATUS
              - TEMPERATURE
              - DAY_NIGHT
              - FORECAST_SKY_STATUS
              - FORECAST_TEMPERATURE
              - DAY_OF_WEEK
              - TIME_RANGE
              - HOUR_MINUTE_RANGE
              - JS_CODE
              - COOKIE
              - EVENT
              - EXPLICIT_TRIGGER
              - BROWSER
              - OPERATING_SYSTEM
              - DOM_ELEMENT
              - MOUSE_OUT
              - TARGET_EXPERIMENT
              - TARGET_PERSONALIZATION
              - EXCLUSIVE_EXPERIMENT
              - CONVERSIONS
              - CUSTOM_DATUM
              - YSANCE_SEGMENT
              - YSANCE_ATTRIBUT
              - TEALIUM_BADGE
              - TEALIUM_AUDIENCE
              - PRICE_OF_DISPLAYED_PAGE
              - NUMBER_OF_VISITED_PAGES
              - VISITED_PAGES
              - SEGMENT
              - KEY_MOMENT
              - CUSTOM
              - SDK_LANGUAGE
              - VISITOR_CODE
              - TARGET_FEATURE_FLAG
              - APPLICATION_VERSION
        mainGoal:
          type: integer
          description: >-
            Primary goal. It must correspond to the main conversion action of
            the site
          format: int64
        siteType:
          type: string
          description: Typology of the website
          enum:
            - ECOMMERCE
            - MEDIA
            - OTHER
      description: Audience configuration.
      title: Audience config
    ExperimentConfig:
      type: object
      properties:
        abtestConsent:
          type: string
          enum:
            - 'OFF'
            - REQUIRED
            - IABTCF
        abtestConsentOptout:
          type: string
          enum:
            - RUN
            - BLOCK
        beforeAbtestConsent:
          type: string
          enum:
            - NONE
            - PARTIALLY
            - ALL
        customVariationSelectionScript:
          type: string
          description: >-
            Variation Selection Script: By default, the assignment of a
            variation for an experiment to a visitor is handled through a random
            mechanism.You can customize this behavior by writing JavaScript code
            here. This code must return the ID of the assigned variation (please
            consult the developer documentation for more details).
        isEditorLaunchedByShortcut:
          type: boolean
          description: >-
            Enables graphic editor launching through `shift + F2` keyboard
            shortcut.
        isKameleoonReportingEnabled:
          type: boolean
          description: >-
            Result reporting. Activate Kameleoon’s reporting to view test
            results
        minWiningReliability:
          type: integer
          description: >-
            Level of reliability needed to determine the winning variation of an
            experiment. Reliabilityof the variations is inferior to the rate
            determined in set-up. The variations should not be consideredas
            winning in your test results, regardless of the number of
            conversions for these variations. Be cautiouswhen changing this
            parameter, as it impacts the results Kameleoon provides.
          format: int32
      description: Configuration of an experiment.
      title: Experiment config
    PersonalizationConfig:
      type: object
      properties:
        beforePersonalizationConsent:
          type: string
          enum:
            - NONE
            - PARTIALLY
            - ALL
        isSameJqueryInjectionAllowed:
          type: boolean
          description: >-
            Allow the injection of jQuery. By default, Kameleoon allows you to
            display multiplepersonalization of the same type on a single page
            (for example, two pop-ups or two images in the same location).If you
            would like to disable this feature, please turn on the toggle
            option.
        isSameTypePersonalizationEnabled:
          type: boolean
          description: >-
            Advanced options. By default, Kameleoon allows you to display
            multiplepersonalization of the same type on a single page (for
            example, two pop-ups or two images in the same location).If you
            would like to disable this feature, please turn on the toggle
            option.
        personalizationConsent:
          type: string
          enum:
            - 'OFF'
            - REQUIRED
            - IABTCF
        personalizationConsentOptout:
          type: string
          enum:
            - RUN
            - BLOCK
        personalizationsDeviation:
          type: number
          description: >-
            Include visitors. Percentage of your visitors included in
            personalizations.You can define a visitor rate who will be hidden to
            your personalizations.Additionally, we advise you to keep a hidden
            sample population to determine theefficiency of your
            personalizations.
          format: double
      description: Configuration of a personalization.
      title: Personalization config
    WidgetFont:
      type: object
      properties:
        fontFamily:
          type: string
        fontSrc:
          type: string
        fontWeights:
          type: array
          items:
            type: string
        id:
          type: string
        importSrc:
          type: string
      description: Widget fonts for site.
      title: Widget font
    FilteringExpression:
      type: object
      description: Filtering expression
      title: Filtering expression
    AudienceConfigUrl:
      type: object
      properties:
        matchType:
          type: string
          enum:
            - EXACT
            - CONTAINS
            - REGULAR_EXPRESSION
            - TARGETED_URL
        url:
          type: string
      description: URLS to be excluded from your recommendations
      title: Audience config url
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````